<!-- Dependency resources -->
<link rel="import" href="../bower_components/polymer/polymer-element.html">
<link rel="import" href="../bower_components/vaadin-ordered-layout/vaadin-horizontal-layout.html">
<link rel="import" href="../bower_components/vaadin-ordered-layout/vaadin-vertical-layout.html">

<dom-module id="pw-modal-menu">

    <template>
        <style>
            .pw-modal-menu {
                position: absolute;
                top: 0px;
                left: 0px;
            }
            .pw-modal-menu-wrapper {
                top: 0px;
                left: 0px;
                width: 400px;
                background-color: white;
            }
            .pw-modal-frame {
                background-color: #ccc;
                margin: 0px;
                opacity: 0.5;
            }
            #pw-modal-menu-bar {
                width: 65px;
            }
        </style>


        <vaadin-horizontal-layout height-full width-full class="pw-modal-menu">
            <vaadin-horizontal-layout height-full class="pw-modal-menu-wrapper">
                <vaadin-vertical-layout height-full id="pw-modal-menu-bar"/>
                <vaadin-horizontal-layout height-full width-full id="pw-modal-menu-content"/>
            </vaadin-horizontal-layout>
            <vaadin-horizontal-layout height-full width-full class="pw-modal-frame" on-click="close">
            </vaadin-horizontal-layout>
        </vaadin-horizontal-layout>
    </template>

    <script>
    class ModalMenuTemplate extends Polymer.Element {
      static get is() {
        return 'pw-modal-menu';
      }
      ready() {
        super.ready();
      }
    }
    window.customElements.define(ModalMenu.is, ModalMenu);
    </script>
</dom-module>